0

I need to transfer schemas from an Oracle 12.1.0.2 Database to an Oracle 11.2 XE Database. According to

Oracle Docs:

On a Data Pump export, if you specify a database version that is older than the current database version, then a dump file set is created that you can import into that older version of the database. For example, if you are running Oracle Database 12c Release 1 (12.1.0.2) and specify VERSION=11.2 on an export, then the dump file set that is created can be imported into an Oracle 11.2 database...

I used the following expdp command:

expdp system/XXXX 
    directory=name 
    dumpfile=dump_24.8.2018.dp 
    consistent=y 
    version=11.2 
    logfile=dump_24.8.2018.log 
    schemas=name1,name2

The impdp fails with errors that the dump has version 12.

<ERROR DETAILS>

Any ideas what's wrong?

2
  • 1
    could you please post the exact error message?
    – atokpas
    Aug 25, 2018 at 6:57
  • Is requested from the customer. Request is pending. I will post it as soon as I have it.
    – r0tt
    Aug 25, 2018 at 6:59

1 Answer 1

0

Be sure to use the version 12 impdp to import into the Oracle 11.2 XE Database.

2
  • According to Oracle docs we only have to use Version=12 for database link impdp, right?
    – r0tt
    Aug 27, 2018 at 6:28
  • I don't understand your question, and I have to admit that I found Oracle docs in this regard rather confusing. Aug 27, 2018 at 7:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.